package de.unikoblenz.fgbks.base.utils.boundary.bicreater;

import de.unikoblenz.fgbks.base.utils.boundary.Boundary;
import java.util.Optional;

public class EmptyBiCreater extends AbstractBoundaryBiCreater<Boundary> {

  private static final EmptyBiCreater instance = new EmptyBiCreater();

  private EmptyBiCreater() {
    super();
  }

  public static EmptyBiCreater getInstance() {
    return instance;
  }

  @Override
  public BoundaryBiCreaterType getType() {
    return null;
  }

  @Override
  public Optional<Boundary> create(Boundary b1, Boundary b2) {
    return Optional.empty();
  }
}
